<app-menu-header title = "Eventi Calendario"></app-menu-header>


<ion-content  class = "ion-padding">

  <form #addCalendarEventForm = "ngForm" (submit)="addEventToCalendar()">
    <ion-item>
      <ion-label position="floating">Titolo</ion-label>
      <ion-input name = "event-title" [(ngModel)] = "newCalendarEvent.title" position = "floating"></ion-input>
    </ion-item>

      <ion-item id="startDate">
          <ion-label>Inizio {{newCalendarEvent.startDate | date: 'dd/MM/yyyy hh:mm'}}</ion-label>
          <ion-popover trigger="startDate" show-backdrop="false">
            <ng-template>       
              <ion-datetime
                [(ngModel)] = "newCalendarEvent.startDate"
                name = "event-start-date"
            ></ion-datetime>
          </ng-template>
          </ion-popover>
      </ion-item>


      <ion-item id="endDate">
        <ion-label>Fine {{newCalendarEvent.endDate | date: 'dd/MM/yyyy hh:mm'}}</ion-label>
        <ion-popover trigger="endDate" show-backdrop="false">
          <ng-template>       
            <ion-datetime

              [(ngModel)] = "newCalendarEvent.endDate"
              name = "event-end-date"
          ></ion-datetime>
        </ng-template>
        </ion-popover>
    </ion-item>


    <ion-item>
      <ion-label position="floating">Note</ion-label>
      <ion-input name = "event-notes" [(ngModel)] = "newCalendarEvent.notes" position = "floating"></ion-input>
    </ion-item>

    <ion-item>
      <ion-label position="floating">Luogo</ion-label>
      <ion-input name = "event-location" [(ngModel)] = "newCalendarEvent.location" position = "floating"></ion-input>
    </ion-item>


    <ion-button type = "submit">Aggiungi Evento</ion-button>
  </form>




</ion-content>


<ion-modal trigger="open-modal">
  <ion-content>
    <ion-datetime
      id="datetime"
      presentation="date"
      min="1989-06-04"
      max="2004-08-23"
      value="1994-12-15T13:47:20.789"
    ></ion-datetime>
  </ion-content>
</ion-modal>
